﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

using Bravura.Core.Common;

namespace Bravura.Contracts.PluginTypes.Commands
{
	/// <summary>
	/// Sends a note on command to an instrument.
	/// </summary>
	public class SendVoiceNoteOn : ICommand
	{
		#region Properties

		public int Voice
		{
			get;
			set;
		}

		public double? Sound
		{
			get;
			set;
		}

		public double? Pitch
		{
			get;
			set;
		}

		public double? Velocity
		{
			get;
			set;
		}

		#endregion

		#region ICommand

		void ICommand.Execute(ICommandTarget target)
		{
			if (target is IInstrument)
			{
				(target as IInstrument).SendVoiceNoteOn(this.Voice, this.Sound, this.Pitch, this.Velocity);
			}
		}

		#endregion
	}
}
