﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

using System.Collections.Generic;
using System.Windows.Markup;

namespace Bravura.Core.MusicLib.Model
{
	/// <summary>
	/// A list of directives targeting the music engine, a synth engine, or an audio plugin.
	/// </summary>
	[ContentPropertyAttribute("Directives")]
	public class Block : BaseContainer
	{
		private List<IDirective> _directives = new List<IDirective>();

		/// <summary>
		/// Set a value to target a synth engine or a plugin.
		/// </summary>
		public int? SynthNum
		{
			get;
			set;
		}

		/// <summary>
		/// Set a value to target a plugin.
		/// </summary>
		public int? PluginNum
		{
			get;
			set;
		}

		public List<IDirective> Directives
		{
			get { return _directives; }
		}

	}
}
