﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

using System.Collections.Generic;

namespace Bravura.Core.MusicLib.Model
{
	/// <summary>
	/// An instance of a Block.
	/// </summary>
	public class BlockInstance : BaseInstance
	{
		private List<IModifier> _modifiers = new List<IModifier>();

		public int BlockNum
		{
			get;
			set;
		}

		/// <summary>
		/// Modifiers to apply to the directives in this instance.
		/// </summary>
		public List<IModifier> Modifiers
		{
			get { return _modifiers; }
		}
	}
}
