﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

using System;
using System.Windows.Markup;

namespace Bravura.Core.MusicLib.Model.Extensions
{
	/// <summary>
	/// Calculates a fraction.
	/// </summary>
	public class FractionExtension : MarkupExtension
	{
		/// <summary>
		/// The whole number portion.
		/// </summary>
		public int W
		{
			get;
			set;
		}

		/// <summary>
		/// The numerator.
		/// </summary>
		public int N
		{
			get;
			set;
		}

		/// <summary>
		/// The denominator.
		/// </summary>
		public int D
		{
			get;
			set;
		}

		/// <summary>
		/// Extra (added to the end).
		/// </summary>
		public double X
		{
			get;
			set;
		}

		/// <summary>
		/// Returns W + (N / D) + X.
		/// </summary>
		public override object ProvideValue(IServiceProvider serviceProvider)
		{
			return W + ((double)N / (double)D) + X;
		}
	}
}
