﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

namespace Bravura.Core.PluginLib
{
	/// <summary>
	/// Interface for a plugin which acts as an audio source (generates audio).
	/// </summary>
	public interface IAudioSource
	{
		/// <summary>
		/// Allows the plugin host to assign an audio output buffer to the plugin.
		/// </summary>
		void AssignOutputBuffer(int portNum, int channelNum, IAudioBuffer buffer);

		/// <summary>
		/// Get an audio output buffer.
		/// </summary>
		IAudioBuffer GetOutputBuffer(int portNum, int channelNum);
	}
}
