﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

using System;
using System.ComponentModel;
using System.Reflection;
using Bravura.Core.PluginLib;

namespace Bravura.Core.SynthLib
{
	/// <summary>
	/// IAudioPlugin extension methods.
	/// </summary>
	public static class IAudioPluginEx
	{
		/// <summary>
		/// Sets a value of a public property on a plugin.
		/// </summary>
		/// <remarks>
		/// Uses reflection.
		/// </remarks>
		public static void SetPluginProperty(this IAudioPlugin plugin, string name, string value)
		{
			Type pt = plugin.GetType();
			PropertyInfo pi = pt.GetProperty(name);
			TypeConverter tc = TypeDescriptor.GetConverter(pi.PropertyType);
			object val = tc.ConvertFromString(value);
			pi.SetValue(plugin, val, null);
		}
	}
}
