﻿// Bravura : A music composition and audio synthesis framework.
//
// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see http://www.gnu.org/licenses/.

using System.Collections.Generic;

namespace Bravura.Core.SynthLib.Model
{
	/// <summary>
	/// Defines plugins and routing within a synthesizer engine.
	/// </summary>
	public class SynthProject
	{
		private List<PluginInfo> _plugins = new List<PluginInfo>();
		private List<Connection> _connections = new List<Connection>();

		/// <summary>
		/// Name of this configuration.
		/// </summary>
		public string Name
		{
			get;
			set;
		}

		/// <summary>
		/// Comment field.
		/// </summary>
		public string Comment
		{
			get;
			set;
		}

		/// <summary>
		/// List of plugins in this configuration.
		/// </summary>
		public List<PluginInfo> Plugins
		{
			get { return _plugins; }
		}

		/// <summary>
		/// List of connections in this configuration.
		/// </summary>
		public List<Connection> Connections
		{
			get { return _connections; }
		}

	}
}
