﻿// Copyright © 2011 Paul Vanukoff (pvanukoff@gmail.com)

namespace Bravura.Native.PluginBase.Waveforms
{
	/// <summary>
	/// Base class for periodic, deterministic waveforms.
	/// </summary>
	public abstract class Waveform
	{
		/// <summary>
		/// Get the value of this waveform at the specified angle.
		/// </summary>
		/// <remarks>
		/// Input domain : from 0.0 to 1.0.
		/// Output range : from -1.0 to 1.0.
		/// </remarks>
		public abstract double GetValue(double angle);
	}
}
